%define name    leafpad
%define version 0.8.5
%define release 1.2006mcnl
%define summary Simple text editor
%define section Applications/Editors

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrivaclub.nl
URL:		http://tarot.freeshell.org/leafpad/
License:        GPL
Group:          Editors
Packager:       Steffen Van Roosbroeck <dansmug.NOSPAM@mandrivaclub.nl>

Source0:        %{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 



%description
Leafpad is a GTK+ based simple text editor. The user interface 
is similar to Notepad. It aims to be lighter than GEdit and KWrite, 
and to be as useful as them.

%prep
rm -rf %{buildroot}
%setup

%build
 
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="Leafpad" \
longtitle="%summary"
EOF

%define  nameicon %{name}.png

mkdir -p %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png


%post
%update_menus

%postun
%clean_menus

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root) 
%doc README COPYING AUTHORS INSTALL
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/pixmaps/%{name}.*


%changelog
* Sat Nov 12 2005 Steffen Van Roosbroeck <dansmug.NOSPAM@mandrivaclub.nl> 0.8.5-1.2006mcnl
- 0.8.5

*Sun Sep 25 2005 Steffen Van Roosbroeck <dansmug@mandrivaclub.nl> 0.8.4-1.102mcnl
- 0.8.4

*Mon Aug 01 2005 Steffen Van Roosbroeck <dansmug@mandrakeclub.nl> 0.8.3-1.102mcnl
- first spec-file
- 0.8.3


